REM Create a 256K file consisting of 64 banks of 4K
REM -----------------------------------------------

REM This batch file creates a 256K file consisting of 64 4K banks (0-63).
REM This 256K file can be used for testing purposes with the Bally/
REM Astrocade Flash Cart by Steve Tucker.


REM Temp File Creation - Part 1 of 4
REM --------------------------------
REM   Create four temp files for Banks 1-15.
REM
copy /b bank_000.bin+bank_001.bin+bank_002.bin+bank_003.bin temp00.bin
copy /b bank_004.bin+bank_005.bin+bank_006.bin+bank_007.bin temp01.bin
copy /b bank_008.bin+bank_009.bin+bank_010.bin+bank_011.bin temp02.bin
copy /b bank_012.bin+bank_013.bin+bank_014.bin+bank_015.bin temp03.bin

REM Temp File Creation - Part 2 of 4
REM --------------------------------
REM   Create four temp files for Banks 16-31.
REM
copy /b bank_016.bin+bank_017.bin+bank_018.bin+bank_019.bin temp04.bin
copy /b bank_020.bin+bank_021.bin+bank_022.bin+bank_023.bin temp05.bin
copy /b bank_024.bin+bank_025.bin+bank_026.bin+bank_027.bin temp06.bin
copy /b bank_028.bin+bank_029.bin+bank_030.bin+bank_031.bin temp07.bin

REM Temp File Creation - Part 3 of 4
REM --------------------------------
REM   Create four temp files for Banks 32-47.
REM
copy /b bank_032.bin+bank_033.bin+bank_034.bin+bank_035.bin temp08.bin
copy /b bank_036.bin+bank_037.bin+bank_038.bin+bank_039.bin temp09.bin
copy /b bank_040.bin+bank_041.bin+bank_042.bin+bank_043.bin temp10.bin
copy /b bank_044.bin+bank_045.bin+bank_046.bin+bank_047.bin temp11.bin

REM Temp File Creation - Part 4 of 4
REM --------------------------------
REM   Create four temp files for Banks 48-63
REM
copy /b bank_048.bin+bank_049.bin+bank_050.bin+bank_051.bin temp12.bin
copy /b bank_052.bin+bank_053.bin+bank_054.bin+bank_055.bin temp13.bin
copy /b bank_056.bin+bank_057.bin+bank_058.bin+bank_059.bin temp14.bin
copy /b bank_060.bin+bank_061.bin+bank_062.bin+bank_063.bin temp15.bin


REM Merge the 16 16K temp files down to 4 64K files
REM -----------------------------------------------

copy /b temp00.bin+temp01.bin+temp02.bin+temp03.bin tempA0.bin
copy /b temp04.bin+temp05.bin+temp06.bin+temp07.bin tempA1.bin
copy /b temp08.bin+temp09.bin+temp10.bin+temp11.bin tempA2.bin
copy /b temp12.bin+temp13.bin+temp14.bin+temp15.bin tempA3.bin


REM Merge the 4 64K temp files down to the final 256K file
REM ------------------------------------------------------

copy /b tempA0.bin+tempA1.bin+tempA2.bin+tempA3.bin Flash256.bin

REM Delete temp files
REM -----------------

del temp*.bin
